Summary: Drag and Drop Print Manager
Name: OffiX-Printer
Version: 2.4d
Release: 1
Source: ftp.leb.net:/pub/offix/Printer-2.4d.tar.gz
Patch: Printer-2.4-Xaw3d.patch
BuildRoot: /tmp/OffiX-Printer
Copyright: GPL
Group: X11/Applications

%description
X print manager with OffiX drag and drop capabilities.
Note: to run, must have lpc somewhere in your path (usually
in /usr/sbin/lpc).

%prep
%setup -n Printer-2.4d
%patch -p1

%build
./configure --prefix=/usr/X11R6 --with-dnd-inc=/usr/X11R6/include/X11 --with-dnd-lib=/usr/X11R6/lib
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
make prefix=$RPM_BUILD_ROOT/usr/X11R6 install
install -c -m 644 src/Printer.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Printer
strip $RPM_BUILD_ROOT/usr/X11R6/bin/printer
cat << EOF > $RPM_BUILD_ROOT/usr/X11R6/bin/printer.sh
#!/bin/bash
# make sure we can find lpc
export PATH=\$PATH:/usr/sbin
exec printer
EOF
chmod 775 $RPM_BUILD_ROOT/usr/X11R6/bin/printer.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING INSTALL README THANKS
%config /usr/X11R6/lib/X11/app-defaults/Printer
/usr/X11R6/bin/printer
/usr/X11R6/bin/printer.sh
/usr/X11R6/man/man1/printer.1
